Paycose Docs
Subscription
POST/subscriptions/{id}/move_connection

Create Subscriptions Move Connection

Request body: MoveSubscriptionConnectionDTO

Responses: 200, 500

Generated from the code contract; no hand-written description yet.

Request

Example

curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/subscriptions/{{id}}/move_connection' \
  -H 'Content-Type: application/json' \
  -d '{
  "provider_connection_id": "<string>",
  "payment_method_id": "<string>"
}'

Headers

NameValue
Content-Typeapplication/json

Body

NameTypeValue
provider_connection_idstring<string>
payment_method_idstring<string>
{
  "provider_connection_id": "<string>",
  "payment_method_id": "<string>"
}

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "<string>",
  "from": {
    "id": "<string>",
    "object": "<string>",
    "livemode": false,
    "created_at": "<RFC3339 timestamp>",
    "updated_at": "<RFC3339 timestamp>",
    "number": "<string>",
    "customer_id": "<string>",
    "default_payment_method_id": "<string>",
    "customer_name": "<string>",
    "customer_email": "<string>",
    "customer_phone": "<string>",
    "billing_details": {
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "address": {
        "line1": "<string>",
        "line2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal_code": "<string>",
        "country": "<string>"
      },
      "business_name": "<string>",
      "tax_id": {
        "type": "<string>",
        "value": "<string>"
      }
    },
    "line_items": [
      {
        "id": "<string>",
        "object": "<string>",
        "product_id": "<string>",
        "product_price_id": "<string>",
        "sort_order": 0,
        "type": "<string>",
        "description": "<string>",
        "product_name": "<string>",
        "product_description": "<string>",
        "product_image": "<string>",
        "product_type": "<string>",
        "unit_amount": 0,
        "quantity": 0,
        "amount_discount": 0,
        "amount_subtotal": 0,
        "amount_tax": 0,
        "amount_total": 0,
        "currency": "<string>",
        "discountable": false,
        "proration": false,
        "period_start": "<RFC3339 timestamp>",
        "period_end": "<RFC3339 timestamp>",
        "reference_id": "<string>",
        "metadata": {},
        "taxes": [
          {
            "id": "<string>",
            "tax_rate_id": "<string>",
            "taxable_amount": 0,
            "tax_amount": 0,
            "inclusive": false
          }
        ]
      }
    ],
    "discounts": [
      {
        "reference_id": "<string>",
        "coupon_id": "<string>",
        "promotion_code_id": "<string>",
        "name": "<string>",
        "amount": 0,
        "duration": "<string>",
        "duration_in_months": 0,
        "percentage": 0.0,
        "fixed_amount": 0,
        "currency": "<string>",
        "started_at": "<RFC3339 timestamp>",
        "ends_at": "<RFC3339 timestamp>",
        "applied_count": 0
      }
    ],
    "subtotal": 0,
    "tax": 0,
    "total": 0,
    "amount_discount": 0,
    "amount_due": 0,
    "amount_paid": 0,
    "currency": "<string>",
    "scaling_factor": 0,
    "transfer_data": {
      "destination": "<string>",
      "balance_id": "<string>"
    },
    "status": "<string>",
    "provider": "<string>",
    "reference_id": "<string>",
    "provider_connection_id": "<string>",
    "provider_connection_status": "<string>",
    "collection_method": "<string>",
    "payment_method_types": [
      "<string>"
    ],
    "payment_method_providers": [
      "<string>"
    ],
    "auto_advance": false,
    "due_date": "<RFC3339 timestamp>",
    "description": "<string>",
    "failure_count": 0,
    "billing_cycle_anchor": "<RFC3339 timestamp>",
    "current_period_start": "<RFC3339 timestamp>",
    "current_period_end": "<RFC3339 timestamp>",
    "trial_start": "<RFC3339 timestamp>",
    "trial_end": "<RFC3339 timestamp>",
    "cancel_at_period_end": false,
    "cancel_at": "<RFC3339 timestamp>",
    "canceled_at": "<RFC3339 timestamp>",
    "ended_at": "<RFC3339 timestamp>",
    "pause_behavior": "<string>",
    "pause_resumes_at": "<RFC3339 timestamp>",
    "test_clock_id": "<string>",
    "latest_invoice": "<string>",
    "pending_setup_intent": "<string>",
    "cancellation_details": {
      "comment": "<string>",
      "feedback": "<string>",
      "reason": "<string>"
    },
    "application_fee_amount": 0,
    "application_fee_percent": 0.0,
    "metadata": {},
    "labels": "<core.Labels>",
    "latest_next_action": [
      {
        "type": "<string>",
        "title": "<string>",
        "description": "<string>",
        "i18n_key": "<string>",
        "url": "<string>",
        "client_secret": "<string>",
        "payment_method": "<string>",
        "qr_data": "<string>"
      }
    ],
    "customer": {
      "id": "<string>",
      "object": "<string>",
      "livemode": false,
      "created_at": null,
      "updated_at": null,
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "address": {
        "city": "<string>",
        "country": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "postal_code": "<string>",
        "state": "<string>"
      },
      "shipping": {
        "name": "<string>",
        "phone": "<string>",
        "address": {
          "city": "<string>",
          "country": "<string>",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "state": "<string>"
        }
      },
      "is_system": false,
      "is_application_customer": false,
      "capabilities": {
        "charge": false,
        "transfer": false,
        "payout": false
      },
      "tax_ids": [
        {
          "type": "<string>",
          "value": "<string>",
          "country": "<string>",
          "verification_status": "<string>"
        }
      ],
      "metadata": {},
      "labels": "<core.Labels>",
      "invoice_settings": {},
      "tax_exempt": "<string>",
      "preferred_locales": [
        "<string>"
      ],
      "business_name": "<string>",
      "currency": "<string>"
    },
    "default_payment_method": {
      "id": "<string>",
      "object": "<string>",
      "livemode": false,
      "created_at": null,
      "updated_at": null,
      "customer_id": "<string>",
      "card_holder_name": "<string>",
      "last4": "<string>",
      "fingerprint": "<string>",
      "exp_month": 0,
      "exp_year": 0,
      "type": "<string>",
      "brand": "<string>",
      "card": {
        "brand": "<string>",
        "issuer": "<string>",
        "last4": "<string>",
        "exp_month": 0,
        "exp_year": 0
      },
      "billing_details": {},
      "allow_redisplay": "<string>",
      "reference_id": "<string>",
      "provider": "<string>",
      "metadata": {},
      "labels": "<core.Labels>",
      "customer": {
        "id": "<string>",
        "object": "<string>",
        "livemode": false,
        "created_at": null,
        "updated_at": null,
        "name": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "address": {
          "city": "<string>",
          "country": "<string>",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "state": "<string>"
        },
        "shipping": {
          "name": "<string>",
          "phone": "<string>",
          "address": {
            "city": "<string>",
            "country": "<string>",
            "line1": "<string>",
            "line2": "<string>",
            "postal_code": "<string>",
            "state": "<string>"
          }
        },
        "is_system": false,
        "is_application_customer": false,
        "capabilities": {
          "charge": false,
          "transfer": false,
          "payout": false
        },
        "tax_ids": [
          {
            "type": "<string>",
            "value": "<string>",
            "country": "<string>",
            "verification_status": "<string>"
          }
        ],
        "metadata": {},
        "labels": "<core.Labels>",
        "invoice_settings": {},
        "tax_exempt": "<string>",
        "preferred_locales": [
          "<string>"
        ],
        "business_name": "<string>",
        "currency": "<string>"
      },
      "provider_connection_status": "<string>",
      "needs_recollection": false
    }
  },
  "to": {
    "id": "<string>",
    "object": "<string>",
    "livemode": false,
    "created_at": "<RFC3339 timestamp>",
    "updated_at": "<RFC3339 timestamp>",
    "number": "<string>",
    "customer_id": "<string>",
    "default_payment_method_id": "<string>",
    "customer_name": "<string>",
    "customer_email": "<string>",
    "customer_phone": "<string>",
    "billing_details": {
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "address": {
        "line1": "<string>",
        "line2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal_code": "<string>",
        "country": "<string>"
      },
      "business_name": "<string>",
      "tax_id": {
        "type": "<string>",
        "value": "<string>"
      }
    },
    "line_items": [
      {
        "id": "<string>",
        "object": "<string>",
        "product_id": "<string>",
        "product_price_id": "<string>",
        "sort_order": 0,
        "type": "<string>",
        "description": "<string>",
        "product_name": "<string>",
        "product_description": "<string>",
        "product_image": "<string>",
        "product_type": "<string>",
        "unit_amount": 0,
        "quantity": 0,
        "amount_discount": 0,
        "amount_subtotal": 0,
        "amount_tax": 0,
        "amount_total": 0,
        "currency": "<string>",
        "discountable": false,
        "proration": false,
        "period_start": "<RFC3339 timestamp>",
        "period_end": "<RFC3339 timestamp>",
        "reference_id": "<string>",
        "metadata": {},
        "taxes": [
          {
            "id": "<string>",
            "tax_rate_id": "<string>",
            "taxable_amount": 0,
            "tax_amount": 0,
            "inclusive": false
          }
        ]
      }
    ],
    "discounts": [
      {
        "reference_id": "<string>",
        "coupon_id": "<string>",
        "promotion_code_id": "<string>",
        "name": "<string>",
        "amount": 0,
        "duration": "<string>",
        "duration_in_months": 0,
        "percentage": 0.0,
        "fixed_amount": 0,
        "currency": "<string>",
        "started_at": "<RFC3339 timestamp>",
        "ends_at": "<RFC3339 timestamp>",
        "applied_count": 0
      }
    ],
    "subtotal": 0,
    "tax": 0,
    "total": 0,
    "amount_discount": 0,
    "amount_due": 0,
    "amount_paid": 0,
    "currency": "<string>",
    "scaling_factor": 0,
    "transfer_data": {
      "destination": "<string>",
      "balance_id": "<string>"
    },
    "status": "<string>",
    "provider": "<string>",
    "reference_id": "<string>",
    "provider_connection_id": "<string>",
    "provider_connection_status": "<string>",
    "collection_method": "<string>",
    "payment_method_types": [
      "<string>"
    ],
    "payment_method_providers": [
      "<string>"
    ],
    "auto_advance": false,
    "due_date": "<RFC3339 timestamp>",
    "description": "<string>",
    "failure_count": 0,
    "billing_cycle_anchor": "<RFC3339 timestamp>",
    "current_period_start": "<RFC3339 timestamp>",
    "current_period_end": "<RFC3339 timestamp>",
    "trial_start": "<RFC3339 timestamp>",
    "trial_end": "<RFC3339 timestamp>",
    "cancel_at_period_end": false,
    "cancel_at": "<RFC3339 timestamp>",
    "canceled_at": "<RFC3339 timestamp>",
    "ended_at": "<RFC3339 timestamp>",
    "pause_behavior": "<string>",
    "pause_resumes_at": "<RFC3339 timestamp>",
    "test_clock_id": "<string>",
    "latest_invoice": "<string>",
    "pending_setup_intent": "<string>",
    "cancellation_details": {
      "comment": "<string>",
      "feedback": "<string>",
      "reason": "<string>"
    },
    "application_fee_amount": 0,
    "application_fee_percent": 0.0,
    "metadata": {},
    "labels": "<core.Labels>",
    "latest_next_action": [
      {
        "type": "<string>",
        "title": "<string>",
        "description": "<string>",
        "i18n_key": "<string>",
        "url": "<string>",
        "client_secret": "<string>",
        "payment_method": "<string>",
        "qr_data": "<string>"
      }
    ],
    "customer": {
      "id": "<string>",
      "object": "<string>",
      "livemode": false,
      "created_at": null,
      "updated_at": null,
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "address": {
        "city": "<string>",
        "country": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "postal_code": "<string>",
        "state": "<string>"
      },
      "shipping": {
        "name": "<string>",
        "phone": "<string>",
        "address": {
          "city": "<string>",
          "country": "<string>",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "state": "<string>"
        }
      },
      "is_system": false,
      "is_application_customer": false,
      "capabilities": {
        "charge": false,
        "transfer": false,
        "payout": false
      },
      "tax_ids": [
        {
          "type": "<string>",
          "value": "<string>",
          "country": "<string>",
          "verification_status": "<string>"
        }
      ],
      "metadata": {},
      "labels": "<core.Labels>",
      "invoice_settings": {},
      "tax_exempt": "<string>",
      "preferred_locales": [
        "<string>"
      ],
      "business_name": "<string>",
      "currency": "<string>"
    },
    "default_payment_method": {
      "id": "<string>",
      "object": "<string>",
      "livemode": false,
      "created_at": null,
      "updated_at": null,
      "customer_id": "<string>",
      "card_holder_name": "<string>",
      "last4": "<string>",
      "fingerprint": "<string>",
      "exp_month": 0,
      "exp_year": 0,
      "type": "<string>",
      "brand": "<string>",
      "card": {
        "brand": "<string>",
        "issuer": "<string>",
        "last4": "<string>",
        "exp_month": 0,
        "exp_year": 0
      },
      "billing_details": {},
      "allow_redisplay": "<string>",
      "reference_id": "<string>",
      "provider": "<string>",
      "metadata": {},
      "labels": "<core.Labels>",
      "customer": {
        "id": "<string>",
        "object": "<string>",
        "livemode": false,
        "created_at": null,
        "updated_at": null,
        "name": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "address": {
          "city": "<string>",
          "country": "<string>",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "state": "<string>"
        },
        "shipping": {
          "name": "<string>",
          "phone": "<string>",
          "address": {
            "city": "<string>",
            "country": "<string>",
            "line1": "<string>",
            "line2": "<string>",
            "postal_code": "<string>",
            "state": "<string>"
          }
        },
        "is_system": false,
        "is_application_customer": false,
        "capabilities": {
          "charge": false,
          "transfer": false,
          "payout": false
        },
        "tax_ids": [
          {
            "type": "<string>",
            "value": "<string>",
            "country": "<string>",
            "verification_status": "<string>"
          }
        ],
        "metadata": {},
        "labels": "<core.Labels>",
        "invoice_settings": {},
        "tax_exempt": "<string>",
        "preferred_locales": [
          "<string>"
        ],
        "business_name": "<string>",
        "currency": "<string>"
      },
      "provider_connection_status": "<string>",
      "needs_recollection": false
    }
  }
}
500500 Internal Server Error

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page